| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
HorizonModifier Class Reference
EarthModel

Modifies horizons. More...

`#include <horizonmodifier.h>`

## Public Types
enum | ModifyMode { Shift , Remove }

## Public Member Functions
| HorizonModifier (bool is2d=false)
virtual | ~HorizonModifier ()
void | doWork ()
bool | setHorizons (const MultiID &, const MultiID &)
void | setMode (ModifyMode)
void | setStaticHorizon (bool tophor)

## Protected Member Functions
float | getDepth2D (const EM::Horizon *, const BinID &)
void | getLines (const EM::Horizon *)
bool | getNextNode (BinID &)
bool | getNextNode2D (BinID &)
bool | getNextNode3D (BinID &)
void | removeNode (const BinID &)
void | shiftNode (const BinID &)

## Protected Attributes
EM::Horizon * | bothor_
TypeSet< Pos::GeomID > | geomids_
bool | is2d_
TrcKeySamplingIterator * | iter_
ModifyMode | modifymode_
EM::Horizon * | tophor_
bool | topisstatic_
TypeSet< StepInterval< int > > | trcrgs_

## Detailed Description

Modifies horizons.

<>

## Member Enumeration Documentation

## ◆ ModifyMode

enum HorizonModifier::ModifyMode

Enumerator
Shift |
Remove |

## Constructor & Destructor Documentation

## ◆ HorizonModifier()

HorizonModifier::HorizonModifier | ( | bool | is2d = false | ) |

## ◆ ~HorizonModifier()

virtual HorizonModifier::~HorizonModifier | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ doWork()

void HorizonModifier::doWork | ( |  | ) |

## ◆ getDepth2D()

float HorizonModifier::getDepth2D | ( | const EM::Horizon * | ,
|  | const BinID & | )
| protected

## ◆ getLines()

void HorizonModifier::getLines | ( | const EM::Horizon * |  | ) |
| protected

## ◆ getNextNode()

bool HorizonModifier::getNextNode | ( | BinID & |  | ) |
| protected

## ◆ getNextNode2D()

bool HorizonModifier::getNextNode2D | ( | BinID & |  | ) |
| protected

## ◆ getNextNode3D()

bool HorizonModifier::getNextNode3D | ( | BinID & |  | ) |
| protected

## ◆ removeNode()

void HorizonModifier::removeNode | ( | const BinID & |  | ) |
| protected

## ◆ setHorizons()

bool HorizonModifier::setHorizons | ( | const MultiID & | ,
|  | const MultiID & | )

## ◆ setMode()

void HorizonModifier::setMode | ( | ModifyMode |  | ) |

## ◆ setStaticHorizon()

void HorizonModifier::setStaticHorizon | ( | bool | tophor | ) |

## ◆ shiftNode()

void HorizonModifier::shiftNode | ( | const BinID & |  | ) |
| protected

## Member Data Documentation

## ◆ bothor_

EM::Horizon* HorizonModifier::bothor_
| protected

## ◆ geomids_

TypeSet<Pos::GeomID> HorizonModifier::geomids_
| protected

## ◆ is2d_

bool HorizonModifier::is2d_
| protected

## ◆ iter_

TrcKeySamplingIterator* HorizonModifier::iter_
| protected

## ◆ modifymode_

ModifyMode HorizonModifier::modifymode_
| protected

## ◆ tophor_

EM::Horizon* HorizonModifier::tophor_
| protected

## ◆ topisstatic_

bool HorizonModifier::topisstatic_
| protected

## ◆ trcrgs_

TypeSet<StepInterval<int> > HorizonModifier::trcrgs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025